Saloon Member Availability
Function-calling namespace: saloonMemberAvailability
- Base URL:
https://api.aivida.in - Engine endpoint:
POST /api - Auth: Stack token middleware enabled in
optionalmode. - Send token in header:
x-stack-access-token: <access_token>(orAuthorization: Bearer <access_token>). - In
optionalmode: no token is allowed; invalid token is rejected with401.
listByMember
Source: backend/endpoints/saloon-member-availability/list-by-member
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | Yes | - |
memberAssignmentId | string | Yes | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "saloonMemberAvailability",
"apiName": "listByMember",
"data": {
"organizationId": "org_123",
"memberAssignmentId": "memberassignment_123"
}
}'Example Response
{ "status": "ok", "data": {} }replaceForMember
Source: backend/endpoints/saloon-member-availability/replace-for-member
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
organizationId | string | Yes | - |
memberAssignmentId | string | Yes | - |
items | array<object> | No | - |
Nested Field Structures
items item
| Field | Type | Required | Constraints |
|---|---|---|---|
date | string | No | format: YYYY-MM-DD |
dayOfWeek | integer | No | nullable |
startTime | string | Yes | format: HH:mm |
endTime | string | Yes | format: HH:mm |
isAvailable | boolean | No | nullable |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "saloonMemberAvailability",
"apiName": "replaceForMember",
"data": {
"organizationId": "org_123",
"memberAssignmentId": "memberassignment_123"
}
}'Example Response
{ "status": "ok", "data": {} }